Name:		ffos-cli
Version:	0.1
Release:	20140609git.1%{?dist}
Summary:	Simple program to help programmers create Firefox OS applications easier. 

Group:		Development/Tools
License:	GPLv3
URL:		https://bitbucket.org/aziflaj/ffos-cli/
Source0:	https://github.com/aziflaj/%{name}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:	jansson-devel
Requires:	jansson

%global commit 57441e3f8287e990a71f8c71e24533e7934711cf
%global shortcommit %(c=%{commit}; echo ${c:0:7})

%description
ffos-cli is a simple program made in C to help programmers in creating Firefox OS applications easier. 

%prep
%autosetup -n %{name}-%{commit}


%build
make %{?_smp_mflags} prefix=%{_prefix}


%install
mkdir -p %{buildroot}%{_prefix}/bin
make install prefix=%{buildroot}%{_prefix}


%files
%doc README.md
%{_bindir}/ffos


%changelog
* Mon Jun 09 2014 Ruben Guerra Marin <rugebiker@fedoraproject.org> 0.1-20140609git.1
- Initial version of the package
